Skip to main content
GET
List portfolio balances
For more information, please visit the INTX Java SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

Response

Balance information

asset_id
string

The unique identifier of the asset

Example:

"14thr7fc-1-1"

asset_name
string

Name of the asset

Example:

"BTC"

asset_uuid
string<uuid>

The UUID of the asset

Example:

"d92669ba-8a04-46d8-9b28-a2bbaeee3b9a"

quantity
string

The total amount of the asset in the portfolio

Example:

1.75

hold
string

The amount of the balance held from trading activity

Example:

0.5

hold_available_for_collateral
string

The amount of the held balance eligible for collateral

Example:

0.5

transfer_hold
string

The amount of the balance held from a pending transfer

Example:

0.25

collateral_value
string

The collateral value provided by this asset balance

Example:

0.9

max_withdraw_amount
string

The maximum amount of this asset that can be withdrawn on-chain at this time given margin requirement constraints

Example:

0.9

loan
string

The total quantity of the asset borrowed by the portfolio

Example:

1

loan_collateral_requirement
string

The notional collateral requirement to hold the loan

Example:

0

pledged_collateral_quantity
string

The amount of the asset pledged as collateral

Example:

0.5

loan_initial_margin_contribution
string<string>

The notional amount this loan contributes to the portfolio initial margin notional value

Example:

0.07

collateral_backed_overdraft_loan
string

The quantity of the asset automatically borrowed by the portfolio to cover USDC deficits

Example:

100.5

user_requested_loan
string

The quantity of the asset borrowed by the portfolio upon explicit request

Example:

548.5

unreconciled_amount
string

The difference between the portfolio's exchange and external balance that has not yet been reconciled, for external collateral clients only

Example:

10.5

max_undelegate_amount
string

The maximum amount that can be undelegated from the exchange, for external collateral clients only

Example:

15